--- src/main_ms.cpp	2022-06-14 00:10:32.081060000 -0500
+++ src/main_ms.cpp	2022-06-14 00:23:12.354510000 -0500
@@ -7,7 +7,9 @@
 #define _SHKY_H_
 #define _BANDS_H_
 #include "main_ms.h"
- 
+
+#include <QDir> 
+#include <QProcess>
 #include <QScreen>
 #include <QWindow>
 #include <QDesktopWidget>
@@ -26,7 +28,7 @@
 static int styid = 0;
 void _ReadSSAndSet_()
 {  
-    QString app_p = (QCoreApplication::applicationDirPath());
+    QString app_p = (QDir::homePath()+"/.config/mshv");
     QFile file(app_p+"/settings/ms_start");
     if (!file.open(QIODevice::ReadOnly | QIODevice::Text)) return;
     QString langid = "0";
@@ -114,6 +116,28 @@
 } 
 //// end Translation ////
 
+#if defined _LINUX_
+void _CopyDirs_()
+{	
+	QProcess process;
+	QDir path;
+	QString app_config_path = (QDir::homePath()+"/.config");
+	QString app_data_path = ("/usr/local/share/mshv");
+
+	if(!path.exists(app_config_path+"/mshv")) {
+		path.mkpath(app_config_path+"/mshv");
+
+		if(path.exists(app_data_path)) {
+			process.start("sh", QStringList() << "-c" << "cp -R "+app_data_path+" "+app_config_path);
+			process.waitForFinished(-1);
+		} else {
+			process.start("sh", QStringList() << "-c" << "cp -R . "+app_config_path);
+			process.waitForFinished(-1);
+		}
+	}
+}
+#endif
+
 Main_Ms::Main_Ms( QWidget * parent)
         : QWidget(parent)
 {       
@@ -170,7 +194,7 @@
     f_rx_glob_ = false;
 
     setWindowTitle(APP_NAME);
-    App_Path = (QCoreApplication::applicationDirPath());
+    App_Path = (QDir::homePath()+"/.config/mshv");
 
     dsty = false;
     if (styid==1) dsty = true;
